org.eclipse.net4j.util.io

## Class ExtendedDataInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - java.io.DataInputStream
      - - org.eclipse.net4j.util.io.ExtendedDataInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.DataInput, java.lang.AutoCloseable, ExtendedDataInput

      public class ExtendedDataInputStream
      extends java.io.DataInputStream
      implements ExtendedDataInput

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.io.ExtendedDataInput

      `ExtendedDataInput.Delegating, ExtendedDataInput.Stream`

  - ### Field Summary

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedDataInputStream(java.io.InputStream in)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `readByteArray()`
    `<T extends java.lang.Enum<?>> T` | `readEnum(java.lang.Class<T> type)`
    `java.lang.Throwable` | `readException()`
    `java.lang.Object` | `readObject()`
    `java.lang.Object` | `readObject(java.lang.ClassLoader classLoader)`
    `java.lang.Object` | `readObject(ExtendedIOUtil.ClassResolver classResolver)`
    `java.lang.String` | `readString()`
    `int` | `readVarInt()`
    `long` | `readVarLong()`
    `static java.io.InputStream` | `unwrap(java.io.InputStream stream)`
    `static ExtendedDataInputStream` | `wrap(java.io.InputStream stream)`

    - ### Methods inherited from class java.io.DataInputStream

      `read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, readUTF, skipBytes`

    - ### Methods inherited from class java.io.FilterInputStream

      `available, close, mark, markSupported, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.DataInput

      `readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

- - ### Constructor Detail

    - #### ExtendedDataInputStream

          public ExtendedDataInputStream(java.io.InputStream in)

  - ### Method Detail

    - #### readVarInt

          public int readVarInt()
                         throws java.io.IOException

      Specified by:
        `readVarInt` in interface `ExtendedDataInput`
      Throws:
        `java.io.IOException`
      Since:
        3.7

    - #### readVarLong

          public long readVarLong()
                           throws java.io.IOException

      Specified by:
        `readVarLong` in interface `ExtendedDataInput`
      Throws:
        `java.io.IOException`
      Since:
        3.7

    - #### readByteArray

          public byte[] readByteArray()
                               throws java.io.IOException

      Specified by:
        `readByteArray` in interface `ExtendedDataInput`
      Throws:
        `java.io.IOException`

    - #### readString

          public java.lang.String readString()
                                      throws java.io.IOException

      Specified by:
        `readString` in interface `ExtendedDataInput`
      Throws:
        `java.io.IOException`

    - #### readObject

          public java.lang.Object readObject()
                                      throws java.io.IOException

      Specified by:
        `readObject` in interface `ExtendedDataInput`
      Throws:
        `java.io.IOException`

    - #### readEnum

          public <T extends java.lang.Enum<?>> T readEnum(java.lang.Class<T> type)
                                                   throws java.io.IOException

      Specified by:
        `readEnum` in interface `ExtendedDataInput`
      Throws:
        `java.io.IOException`
      Since:
        3.0

    - #### readException

          public java.lang.Throwable readException()
                                            throws java.io.IOException

      Specified by:
        `readException` in interface `ExtendedDataInput`
      Throws:
        `java.io.IOException`
      Since:
        3.4

    - #### readObject

          public java.lang.Object readObject(java.lang.ClassLoader classLoader)
                                      throws java.io.IOException

      Specified by:
        `readObject` in interface `ExtendedDataInput`
      Throws:
        `java.io.IOException`

    - #### readObject

          public java.lang.Object readObject(ExtendedIOUtil.ClassResolver classResolver)
                                      throws java.io.IOException

      Specified by:
        `readObject` in interface `ExtendedDataInput`
      Throws:
        `java.io.IOException`

    - #### wrap

          public static ExtendedDataInputStream wrap(java.io.InputStream stream)

    - #### unwrap

          public static java.io.InputStream unwrap(java.io.InputStream stream)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html